Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009894 [DCSS] Bug Report minor random 2015-08-06 23:04 2017-09-24 01:43
Reporter amalloy View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009894: Xom unpreventably kills the player
Description At XL8 while in good standing with Xom, he dropped 3 ball lightnings right on top of me in an attempt to be helpful. This didn't kill me until next turn, so *technically* he didn't break his promise to never directly kill you, but it seemed like a 100% death sentence that he shouldn't really be allowed to do under the spirit of the law.

Later on in the game it might be reasonable, since I would have more HP and some ?blinking, so you could argue that dying to this would be my fault for mismanaging Xom. But at XL8 the player really doesn't have enough options to survive 90ish HP worth of explosions in a single turn.

Log at http://crawl.akrasiac.org/rawdata/amalloy/morgue-amalloy-20150717-182049.txt, [^] or tv viewable as !lg amalloy kock xom 1 -tv:<0.5
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0029383)
amalloy (developer)
2015-08-06 23:06

Actual morgue link at http://crawl.akrasiac.org/rawdata/amalloy/morgue-amalloy-20150717-182049.txt [^] - I didn't expect mantis to include the , in the url.
(0029394)
Sar (reporter)
2015-08-08 15:04

IIRC that action is hardcoded to never kill you directly - you will always have at least 1 HP left.
(0031383)
MarvinPA (developer)
2017-01-03 14:45
edited on: 2017-01-03 14:46

Xom doesn't cast CBL any more. (Edit: and the CBL action was perfectly able to kill the player, Sar was probably thinking of the Divine Lightning effect).


- Issue History
Date Modified Username Field Change
2015-08-06 23:04 amalloy New Issue
2015-08-06 23:06 amalloy Note Added: 0029383
2015-08-08 15:04 Sar Note Added: 0029394
2017-01-03 14:45 MarvinPA Note Added: 0031383
2017-01-03 14:45 MarvinPA Status new => resolved
2017-01-03 14:45 MarvinPA Fixed in Branch => 0.20 development branch
2017-01-03 14:45 MarvinPA Resolution open => done
2017-01-03 14:45 MarvinPA Assigned To => MarvinPA
2017-01-03 14:46 MarvinPA Note Edited: 0031383
2017-09-24 01:43 amalloy Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker